Email
Inboxes
- List inboxes GET
- Create an inbox POST
- Retrieve an inbox GET
- Update an inbox PATCH
- Delete an inbox DELETE
- List an inbox's threads GET
- Retrieve a thread GET
- Delete a thread DELETE
- List an inbox's messages GET
- Send a message from an inbox POST
- Retrieve a message GET
- Download an attachment of a message GET
- Reply to a message POST
Marketing
SMS
Sign
Hooks
Risk
Platform
List inboxes
GET
/v1/inboxes
The environment's inboxes, newest first. Pass the last id as after to get the next page while has_more is true.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
limit?integer1-100, default 20.
Range
1 <= value <= 100after?stringCursor: the id of the last item of the previous page.
Length
length <= 64Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"A page of inboxes.
application/json- response
- response
- …
object*"list"Value in
"list"data*array<>has_more*booleanimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.inboxes.list();{ "object": "list", "data": [ { "object": "inbox", "id": "inbox_01k7c8m4q2f3e9v6t5r1n0p8yz", "address": "support-agent@k3j9x2m7qp4l.inbound.coss.com", "username": "support-agent", "domain": "k3j9x2m7qp4l.inbound.coss.com", "kind": "managed", "display_name": "Acme Support", "client_id": "agent-42", "can_send": true, "sandbox": true, "created_at": "2026-10-10T12:00:00.000Z", "updated_at": "2026-10-10T12:00:00.000Z" } ], "has_more": false}